aboutsummaryrefslogtreecommitdiff
path: root/cli-tests/common.sh
diff options
context:
space:
mode:
authorEric Biggers <ebiggers@google.com>2020-06-13 10:27:57 -0700
committerGitHub <noreply@github.com>2020-06-13 10:27:57 -0700
commitd4c6fc50bcf6493c21b363ccf69c73561f32dfe8 (patch)
treeacaae325e95953d077e551a10f66169c573653ec /cli-tests/common.sh
parent9649ed0fd0ad4dcfc33454e0a86193fd255e62df (diff)
parent5c1f617c647eb0e9af5ce57758fa58f7e3f4db83 (diff)
Merge pull request #237 from ebiggers/t_v1_policy_fix
Adjust status message for v1 policies unlocked by another user and fix cli-tests/t_v1_policy
Diffstat (limited to 'cli-tests/common.sh')
-rw-r--r--cli-tests/common.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/cli-tests/common.sh b/cli-tests/common.sh
index fcebfd6..79b42ae 100644
--- a/cli-tests/common.sh
+++ b/cli-tests/common.sh
@@ -128,6 +128,18 @@ _user_do_and_expect_failure()
_expect_failure "_user_do '$1'"
}
+# Clear the test user's user keyring and unlink it from root's user keyring, if
+# it is linked into it.
+_cleanup_user_keyrings()
+{
+ local ringid
+
+ ringid=$(_user_do "keyctl show @u" | awk '/keyring: _uid/{print $1}')
+
+ _user_do "keyctl clear $ringid"
+ keyctl unlink "$ringid" @u &> /dev/null || true
+}
+
# Gives the test a new session keyring which contains the test user's keyring
# but not root's keyring. Also clears the test user's keyring. This must be
# called at the beginning of the test script as it may re-execute the script.